# _StructWords
<span class="source-link">[[Source]](src/serialise/_test.md#L46)</span>
```pony
class ref _StructWords
```

## Constructors

### create
<span class="source-link">[[Source]](src/serialise/_test.md#L46)</span>


```pony
new iso create()
: _StructWords iso^
```

#### Returns

* [_StructWords](serialise-_StructWords) iso^

---

## Public fields

### var u8: [U8](builtin-U8) val
<span class="source-link">[[Source]](src/serialise/_test.md#L47)</span>



---

### var u16: [U16](builtin-U16) val
<span class="source-link">[[Source]](src/serialise/_test.md#L48)</span>



---

### var u32: [U32](builtin-U32) val
<span class="source-link">[[Source]](src/serialise/_test.md#L49)</span>



---

### var u64: [U64](builtin-U64) val
<span class="source-link">[[Source]](src/serialise/_test.md#L50)</span>



---

### var u128: [U128](builtin-U128) val
<span class="source-link">[[Source]](src/serialise/_test.md#L51)</span>



---

### var ulong: [ULong](builtin-ULong) val
<span class="source-link">[[Source]](src/serialise/_test.md#L52)</span>



---

### var usize: [USize](builtin-USize) val
<span class="source-link">[[Source]](src/serialise/_test.md#L53)</span>



---

## Public Functions

### eq
<span class="source-link">[[Source]](src/serialise/_test.md#L55)</span>


```pony
fun box eq(
  that: _StructWords box)
: Bool val
```
#### Parameters

*   that: [_StructWords](serialise-_StructWords) box

#### Returns

* [Bool](builtin-Bool) val

---

